/*General Styles*/

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font: normal 16px sans-serif;
  color: #555;
}

ul,
nav {
  list-style: none;  /* No bullet points */
}

a {
  text-decoration: none;
  opacity: 0.75;
  color: #fff;
}

a:hover {
  opacity: 1;
}

a.btn {
  border-radius: 4px;
  text=transform: uppercase;
  font-weight: bold;
  text-align: center;
  background-color: #3f51b5;
  opacity: 1;
}

section {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 100px 80px;
}

/* Other than the hero section, every other section alternates white background colors */
section:not(.hero):nth-child(even) {
	background-color: #f5f5f5;
}

.grid {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

hr {
	width: 250px;
	height: 3px;
	background-color: #3f51b5;
	border: 0;
	margin-bottom: 50px;
}


section h3.title {
  text-transform: capitalize;
  font: bold 32px "Open Sans", sans-serif;
  margin-bottom: 30px;
  text-align: center;
}

section p {
  max-width: 775px;
  line-height: 2;
  margin-bottom: 30px;
  text-align: center;
}

@media (max-width: 800px) {
  section {
    padding: 50px 20px;
  }
}
/*Header Styles*/

header {
  position: absolute;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 35px 100px 0;
  animation: 1s fadein 0.5s forwards;
  opacity: 0; /*To trigger fadein, set opacity to 0*/
  color: #fff;
}

@keyframes fadein {
  100% {
    opacity: 1;
  }
}

header h2{
  font-family: "Quicksand", sans-serif;
}

header nav {
  display: flex;
  margin-right: -15px;
}

header nav li {
  margin: 0 15px;
}

@media (max-width: 800px) {
  header {
    padding: 50px 20px;
    flex-direction: column;
  }

  header h2 {
    margin-bottom: 15px;
  }
}

/*Hero Styles*/
.hero {
  position: relative;
  justify-content: center;
  text-align: center;
  min-height: 100vh;
  color: #fff;
}

.hero .background-image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-size: cover;
  z-index: -1;
  background-color: #80a3db;
}

.hero h1 {
  font: bold 95px "open Sans", sans-serif;
  margin-bottom: 45px;
  font-weight: 100;
}

.hero h2 {
  font: normal 42 px "Open Sans", sans-serif;
  margin-bottom: 75px;
  font-weight: 200;
}

.hero h3 {
  font: normal 28 px "Open Sans", sans-serif;
  margin-bottom: 15px;
  font-weight: 200;
}

.hero a.btn {
  padding: 20px 46px;
}

.hero-content-area {
  opacity: 0;
  margin-top: 100px;
  animation: 1s slidefade 1s forwards; /*Content fades in and slides up*/
}

/*Content fades in and slides up*/
@keyframes slidefade {
  100% {
    opacity: 1;
    margin: 0;
  }
}

@media (max-width: 800px) {
  .hero  {
    min-height: 600px;
  }

  .hero h1 {
    font-size: 48px;
  }

  .hero h3 {
    font-size: 24px;
  }

  .hero a.btn {
    padding: 15px 40px;
  }
}
/*Destinations Section*/

.destinations .grid li {
  height: 350px;
  padding: 20px;
  background-clip: content-box;
  background-size: cover;
  background-position: center;
}

.destinations .grid li.small {
  flex-basis: 30%;
}

.destinations .grid li.large {
    flex-basis: 70%;
}

@media (max-width: 1100px) {
  .destinations .grid li.small,
  .destinations .grid li.large {
    flex-basis: 50%;
  }
}

@media (max-width: 800px) {
  .destinations .grid li.small,
  .destinations .grid li.large {
    flex-basis: 100%;
  }
}
/* Packages Section */

.packages .grid li {
  padding: 50px;
  flex-basis: 50%;
  text-align: center;
}

.packages .grid li i{
  color: #8c9eff;
}

.packages .grid li h4 {
  font-size: 30px;
  margin: 25px 0;
}

@media (max-width: 800px) {
  .packages .grid li {
    flex-basis: 100%;
    padding: 20px;
  }
}

/* Testimonials section */

.testimonials .quote {
  font-size: 22px;
  font-weight: 300;
  line-height: 1.5;
  margin: 40px 0 25px;
}
@media (max-width: 800px) {
  .testimonials .quote {
    font-size: 22px;
    font-weight: 300;
    line-height: 1.5;
    margin: 40px 0 25px;
  }

  .testimonials .author {
    font-size: 14px;
  }
}

/* Contact section */

.contact form {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  width: 60%;
}

.contact form .btn {
  padding: 18px 42px;
}

.contact form input {
  padding: 15px;
  margin-right: 30px;
  font-size: 18px;
  color: #555;
  flex: 1;
}

@media (max-width: 1000px) {
  .contact form input {
    flex-basis: 100%;
    margin: 0 0 20px 0;
  }
}

/* Footer section */
footer {
  display: flex;
  align-items: center;
  justify-content: space-around;
  background-color: #607d8b;
  color: #fff;
  padding: 20px 0;
}

footer ul {
  display: flex;
}

footer ul li {
  margin-left: 16px;
}

footer p {
  text-transform: uppercase;
  font-size: 14px;
  opacity: 0.6;
  align-self: center;
}

@media (max-width: 1100px) {
  footer {
    flex-direction: column;
  }

  footer p {
    text-align: center;
    margin-bottom: 20px;
  }

  footer ul li {
    margin: 0 8px;
  }
}
